Search documentation of polar_express

# PolarExpress.Schemas.LLMMetadata (polar_express v0.1.5)

Copy Markdown View Source

LLMMetadata

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.LLMMetadata{
      cached_input_tokens: integer() | nil,
      input_tokens: integer() | nil,
      model: String.t() | nil,
      output_tokens: integer() | nil,
      prompt: String.t() | nil,
      response: String.t() | nil,
      total_tokens: integer() | nil,
      vendor: String.t() | nil
    }

- `cached_input_tokens` - The number of LLM cached tokens that were used for the event.
- `input_tokens` - The number of LLM input tokens used for the event.
- `model` - The model used for the event.
- `output_tokens` - The number of LLM output tokens used for the event.
- `prompt` - The LLM prompt used for the event. Nullable.
- `response` - The LLM response used for the event. Nullable.
- `total_tokens` - The total number of LLM tokens used for the event.
- `vendor` - The vendor of the event.

## Functions

# schema_name()